Build failed in Jenkins: Osmocom-repo-install-debian9 » nightly,repo-install-test #137

jenkins at lists.osmocom.org jenkins at lists.osmocom.org
Mon Jun 7 10:40:31 UTC 2021


See <https://jenkins.osmocom.org/jenkins/job/Osmocom-repo-install-debian9/feed=nightly,label=repo-install-test/137/display/redirect>

Changes:


------------------------------------------
[...truncated 23.45 KB...]
Get:5 http://deb.debian.org/debian stretch/main amd64 libpcsclite1 amd64 1.8.20-1 [56.5 kB]
Get:6 http://deb.debian.org/debian stretch/main amd64 libusb-1.0-0 amd64 2:1.0.21-1 [53.9 kB]
Get:7 http://download.opensuse.org/repositories/network:/osmocom:/nightly/Debian_9.0 ./ libosmocodec0 1.5.1.134.0504.202106070822 [43.4 kB]
Get:8 http://download.opensuse.org/repositories/network:/osmocom:/nightly/Debian_9.0 ./ libosmogsm16 1.5.1.134.0504.202106070822 [198 kB]
Get:9 http://download.opensuse.org/repositories/network:/osmocom:/nightly/Debian_9.0 ./ libosmocoding0 1.5.1.134.0504.202106070822 [59.6 kB]
Get:10 http://download.opensuse.org/repositories/network:/osmocom:/nightly/Debian_9.0 ./ libosmovty9 1.5.1.134.0504.202106070822 [92.9 kB]
Get:11 http://download.opensuse.org/repositories/network:/osmocom:/nightly/Debian_9.0 ./ libosmogb12 1.5.1.134.0504.202106070822 [148 kB]
Get:12 http://download.opensuse.org/repositories/network:/osmocom:/nightly/Debian_9.0 ./ libosmoctrl0 1.5.1.134.0504.202106070822 [51.1 kB]
Get:13 http://download.opensuse.org/repositories/network:/osmocom:/nightly/Debian_9.0 ./ libosmosim2 1.5.1.134.0504.202106070822 [57.2 kB]
Get:14 http://download.opensuse.org/repositories/network:/osmocom:/nightly/Debian_9.0 ./ libosmousb0 1.5.1.134.0504.202106070822 [43.5 kB]
Get:15 http://download.opensuse.org/repositories/network:/osmocom:/nightly/Debian_9.0 ./ libosmocore 1.5.1.134.0504.202106070822 [37.4 kB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 1026 kB in 0s (11.7 MB/s)
Selecting previously unselected package osmocom-nightly.
(Reading database ... (Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database ... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%(Reading database ... 80%(Reading database ... 85%(Reading database ... 90%(Reading database ... 95%(Reading database ... 100%(Reading database ... 8168 files and directories currently installed.)
Preparing to unpack .../00-osmocom-nightly_1.0.0.202106070822_amd64.deb ...
Unpacking osmocom-nightly (1.0.0.202106070822) ...
Selecting previously unselected package libsctp1:amd64.
Preparing to unpack .../01-libsctp1_1.0.17+dfsg-1+b1_amd64.deb ...
Unpacking libsctp1:amd64 (1.0.17+dfsg-1+b1) ...
Selecting previously unselected package libtalloc2:amd64.
Preparing to unpack .../02-libtalloc2_2.1.8-1_amd64.deb ...
Unpacking libtalloc2:amd64 (2.1.8-1) ...
Selecting previously unselected package libosmocore17:amd64.
Preparing to unpack .../03-libosmocore17_1.5.1.134.0504.202106070822_amd64.deb ...
Unpacking libosmocore17:amd64 (1.5.1.134.0504.202106070822) ...
Selecting previously unselected package libosmocodec0:amd64.
Preparing to unpack .../04-libosmocodec0_1.5.1.134.0504.202106070822_amd64.deb ...
Unpacking libosmocodec0:amd64 (1.5.1.134.0504.202106070822) ...
Selecting previously unselected package libosmogsm16:amd64.
Preparing to unpack .../05-libosmogsm16_1.5.1.134.0504.202106070822_amd64.deb ...
Unpacking libosmogsm16:amd64 (1.5.1.134.0504.202106070822) ...
Selecting previously unselected package libosmocoding0:amd64.
Preparing to unpack .../06-libosmocoding0_1.5.1.134.0504.202106070822_amd64.deb ...
Unpacking libosmocoding0:amd64 (1.5.1.134.0504.202106070822) ...
Selecting previously unselected package libosmovty9:amd64.
Preparing to unpack .../07-libosmovty9_1.5.1.134.0504.202106070822_amd64.deb ...
Unpacking libosmovty9:amd64 (1.5.1.134.0504.202106070822) ...
Selecting previously unselected package libosmogb12:amd64.
Preparing to unpack .../08-libosmogb12_1.5.1.134.0504.202106070822_amd64.deb ...
Unpacking libosmogb12:amd64 (1.5.1.134.0504.202106070822) ...
Selecting previously unselected package libosmoctrl0:amd64.
Preparing to unpack .../09-libosmoctrl0_1.5.1.134.0504.202106070822_amd64.deb ...
Unpacking libosmoctrl0:amd64 (1.5.1.134.0504.202106070822) ...
Selecting previously unselected package libpcsclite1:amd64.
Preparing to unpack .../10-libpcsclite1_1.8.20-1_amd64.deb ...
Unpacking libpcsclite1:amd64 (1.8.20-1) ...
Selecting previously unselected package libosmosim2:amd64.
Preparing to unpack .../11-libosmosim2_1.5.1.134.0504.202106070822_amd64.deb ...
Unpacking libosmosim2:amd64 (1.5.1.134.0504.202106070822) ...
Selecting previously unselected package libusb-1.0-0:amd64.
Preparing to unpack .../12-libusb-1.0-0_2%3a1.0.21-1_amd64.deb ...
Unpacking libusb-1.0-0:amd64 (2:1.0.21-1) ...
Selecting previously unselected package libosmousb0:amd64.
Preparing to unpack .../13-libosmousb0_1.5.1.134.0504.202106070822_amd64.deb ...
Unpacking libosmousb0:amd64 (1.5.1.134.0504.202106070822) ...
Selecting previously unselected package libosmocore.
Preparing to unpack .../14-libosmocore_1.5.1.134.0504.202106070822_amd64.deb ...
Unpacking libosmocore (1.5.1.134.0504.202106070822) ...
Setting up libsctp1:amd64 (1.0.17+dfsg-1+b1) ...
Setting up libpcsclite1:amd64 (1.8.20-1) ...
Setting up osmocom-nightly (1.0.0.202106070822) ...
Setting up libusb-1.0-0:amd64 (2:1.0.21-1) ...
Processing triggers for libc-bin (2.24-11+deb9u4) ...
Setting up libtalloc2:amd64 (2.1.8-1) ...
Setting up libosmocore17:amd64 (1.5.1.134.0504.202106070822) ...
Setting up libosmocodec0:amd64 (1.5.1.134.0504.202106070822) ...
Setting up libosmovty9:amd64 (1.5.1.134.0504.202106070822) ...
Setting up libosmogsm16:amd64 (1.5.1.134.0504.202106070822) ...
Setting up libosmoctrl0:amd64 (1.5.1.134.0504.202106070822) ...
Setting up libosmosim2:amd64 (1.5.1.134.0504.202106070822) ...
Setting up libosmocoding0:amd64 (1.5.1.134.0504.202106070822) ...
Setting up libosmousb0:amd64 (1.5.1.134.0504.202106070822) ...
Setting up libosmogb12:amd64 (1.5.1.134.0504.202106070822) ...
Setting up libosmocore (1.5.1.134.0504.202106070822) ...
Processing triggers for libc-bin (2.24-11+deb9u4) ...
+ configure_osmocom_repo_debian_remove network:osmocom:nightly
+ local proj=network:osmocom:nightly
+ rm /etc/apt/sources.list.d/network:osmocom:nightly.list
+ configure_osmocom_repo_debian network:osmocom:latest
+ local proj=network:osmocom:latest
+ proj_with_slashes network:osmocom:latest
+ echo network:osmocom:latest
+ sed s.:.:/.g
+ local obs_repo=download.opensuse.org/repositories/network:/osmocom:/latest/Debian_9.0/
+ local release_key=/var/cache/apt/network:osmocom:latest_Release.key
+ echo Configuring Osmocom repository
Configuring Osmocom repository
+ [ -e /var/cache/apt/network:osmocom:latest_Release.key ]
+ apt-get update
Ign:1 http://deb.debian.org/debian stretch InRelease
Hit:2 http://deb.debian.org/debian stretch-updates InRelease
Hit:3 http://security.debian.org/debian-security stretch/updates InRelease
Hit:4 http://deb.debian.org/debian stretch Release
Reading package lists...
+ apt install -y wget

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

Reading package lists...
Building dependency tree...
Reading state information...
wget is already the newest version (1.18-5+deb9u3).
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
+ wget -O /var/cache/apt/network:osmocom:latest_Release.key https://download.opensuse.org/repositories/network:/osmocom:/latest/Debian_9.0//Release.key
--2021-06-07 10:40:26--  https://download.opensuse.org/repositories/network:/osmocom:/latest/Debian_9.0//Release.key
Resolving download.opensuse.org (download.opensuse.org)... 195.135.221.134, 2001:67c:2178:8::13
Connecting to download.opensuse.org (download.opensuse.org)|195.135.221.134|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1080 (1.1K)
Saving to: '/var/cache/apt/network:osmocom:latest_Release.key'

     0K .                                                     100% 33.7M=0s

2021-06-07 10:40:26 (33.7 MB/s) - '/var/cache/apt/network:osmocom:latest_Release.key' saved [1080/1080]

+ apt-key add /var/cache/apt/network:osmocom:latest_Release.key
Warning: apt-key output should not be parsed (stdout is not a terminal)
OK
+ echo deb http://download.opensuse.org/repositories/network:/osmocom:/latest/Debian_9.0/ ./
+ apt-get update
Get:1 http://download.opensuse.org/repositories/network:/osmocom:/latest/Debian_9.0 ./ InRelease [1611 B]
Ign:2 http://deb.debian.org/debian stretch InRelease
Hit:3 http://deb.debian.org/debian stretch-updates InRelease
Hit:4 http://deb.debian.org/debian stretch Release
Hit:5 http://security.debian.org/debian-security stretch/updates InRelease
Get:7 http://download.opensuse.org/repositories/network:/osmocom:/latest/Debian_9.0 ./ Packages [102 kB]
Fetched 103 kB in 0s (252 kB/s)
Reading package lists...
+ apt-get -y install osmo-mgw
+ tee /tmp/out
Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 osmo-mgw : Depends: osmocom-latest but it is not going to be installed
            Depends: libosmoabis10 but it is not going to be installed
            Depends: libosmonetif8 but it is not going to be installed
            Depends: libosmotrau2 but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
+ [ -e /tmp/fail ]
+ find_patterns_or_exit /tmp/out requested an impossible situation ^The following packages have unmet dependencies: Depends: osmocom- but it is not going to be installed
+ local file=/tmp/out
+ local pattern
+ shift
+ grep -q requested an impossible situation /tmp/out
+ continue
+ grep -q ^The following packages have unmet dependencies: /tmp/out
+ continue
+ grep -q Depends: osmocom- /tmp/out
+ continue
+ grep -q but it is not going to be installed /tmp/out
+ continue
+ configure_osmocom_repo_debian_remove network:osmocom:latest
+ local proj=network:osmocom:latest
+ rm /etc/apt/sources.list.d/network:osmocom:latest.list
+ configure_osmocom_repo_debian network:osmocom:nightly
+ local proj=network:osmocom:nightly
+ proj_with_slashes network:osmocom:nightly
+ sed s.:.:/.g
+ echo network:osmocom:nightly
+ local obs_repo=download.opensuse.org/repositories/network:/osmocom:/nightly/Debian_9.0/
+ local release_key=/var/cache/apt/network:osmocom:nightly_Release.key
+ echo Configuring Osmocom repository
+ [ -e /var/cache/apt/network:osmocom:nightly_Release.key ]
Configuring Osmocom repository
+ apt-key add /var/cache/apt/network:osmocom:nightly_Release.key
Warning: apt-key output should not be parsed (stdout is not a terminal)
OK
+ echo deb http://download.opensuse.org/repositories/network:/osmocom:/nightly/Debian_9.0/ ./
+ apt-get update
Ign:1 http://deb.debian.org/debian stretch InRelease
Hit:2 http://deb.debian.org/debian stretch-updates InRelease
Get:3 http://download.opensuse.org/repositories/network:/osmocom:/nightly/Debian_9.0 ./ InRelease [1596 B]
Hit:4 http://security.debian.org/debian-security stretch/updates InRelease
Hit:5 http://deb.debian.org/debian stretch Release
Get:7 http://download.opensuse.org/repositories/network:/osmocom:/nightly/Debian_9.0 ./ Packages [119 kB]
Fetched 121 kB in 0s (282 kB/s)
Reading package lists...
+ set +x
+ set +x
+ install_repo_packages
+ install_repo_packages_debian
+ local obs=obs://build.opensuse.org/network:osmocom:nightly/Debian_9.0

### Test successful: test_conflict ###


### Running test: install_repo_packages ###

Installing all repository packages
+ echo Installing all repository packages
+ aptitude search -F%p ?origin(obs://build.opensuse.org/network:osmocom:nightly/Debian_9.0) ?architecture(native)
+ sort
+ filter_packages_txt
+ grep -v ^# /repo-install-test/blacklist_debian9.txt
+ sort -u
+ comm -23 osmocom_packages_all.txt blacklist.txt
+ cat osmocom_packages.txt
+ apt install -y abisip-find binutils-arm-osmo-eabi binutils-arm-osmo-eabi-dbgsym libasn1c-dbg libasn1c-dev libasn1c1 libgtp-dbg libgtp-dev libgtp6 libgtpnl-dbg libgtpnl-dev libgtpnl-tools libgtpnl0 libifd-osmo-remsim-client0 libifd-osmo-remsim-client0-dbgsym liblimesuite-dev liblimesuite20.10-1 liblimesuite20.10-1-dbgsym liborcania-dev liborcania1.2 liborcania1.2-dbgsym libosmo-abis libosmo-abis-dbg libosmo-abis-dev libosmo-e1d-dev libosmo-e1d1 libosmo-e1d1-dbgsym libosmo-fl2k-dev libosmo-fl2k0 libosmo-fl2k0-dbgsym libosmo-gsup-client-dev libosmo-gsup-client0 libosmo-mgcp-client-dev libosmo-mgcp-client8 libosmo-mgcp-client8-dbgsym libosmo-mslookup-dev libosmo-mslookup0 libosmo-netif-dbg libosmo-netif-dev libosmo-netif-doc libosmo-ranap-dbg libosmo-ranap-dev libosmo-ranap3 libosmo-rspro-dev libosmo-rspro1 libosmo-rspro1-dbgsym libosmo-sabp-dbg libosmo-sabp-dev libosmo-sabp0 libosmo-sccp-dev libosmo-sigtran-dbg libosmo-sigtran-dev libosmo-sigtran-doc libosmo-sigtran5 libosmo-simtrace2-0 libosmo-simtrace2-0-dbgsym libosmo-simtrace2-dev libosmoabis10 libosmocodec-doc libosmocodec0 libosmocoding-doc libosmocoding0 libosmocore libosmocore-dbg libosmocore-dev libosmocore-doc libosmocore-utils libosmocore17 libosmoctrl-doc libosmoctrl0 libosmodsp-dbg libosmodsp-dev libosmodsp-doc libosmodsp0 libosmogb-doc libosmogb12 libosmogsm-doc libosmogsm16 libosmonetif8 libosmosim2 libosmotrau2 libosmousb0 libosmovty-doc libosmovty9 librtlsdr-dev librtlsdr0 librtlsdr0-dbgsym libsmpp1 libsmpp34-dbg libsmpp34-dev libsmpp34-utils libulfius-dev libulfius2.5 libulfius2.5-dbgsym libusrp-dev libusrp-doc libusrp-firmware libusrp-utils libusrp-utils-dbgsym libusrp1 libusrp1-dbgsym libyder-dev libyder2.0 libyder2.0-dbgsym limesuite limesuite-dbgsym limesuite-images limesuite-images20.10 limesuite-udev neocon neocon-dbgsym osmo-bsc osmo-bsc-bs11-utils osmo-bsc-dbg osmo-bsc-doc osmo-bsc-ipaccess-utils osmo-bsc-meas-utils osmo-bts-doc osmo-bts-trx osmo-bts-trx-dbg osmo-bts-virtual osmo-bts-virtual-dbg osmo-cbc osmo-cbc-dbg osmo-cbc-doc osmo-cbc-utils osmo-e1d osmo-e1d-dbgsym osmo-fl2k osmo-fl2k-dbgsym osmo-gbproxy osmo-gbproxy-dbg osmo-gbproxy-doc osmo-ggsn osmo-ggsn-dbg osmo-ggsn-doc osmo-gsm-manuals-dev osmo-gtphub osmo-gtphub-dbg osmo-hlr osmo-hlr-dbg osmo-hlr-doc osmo-hnbgw osmo-hnbgw-dbg osmo-hnbgw-doc osmo-mgw osmo-mgw-dbgsym osmo-mgw-doc osmo-msc osmo-msc-dbg osmo-msc-doc osmo-pcap-client osmo-pcap-client-dbg osmo-pcap-server osmo-pcap-server-dbg osmo-pcu osmo-pcu-dbg osmo-pcu-doc osmo-remsim-bankd osmo-remsim-bankd-dbgsym osmo-remsim-client-shell osmo-remsim-client-shell-dbgsym osmo-remsim-client-st2 osmo-remsim-client-st2-dbgsym osmo-remsim-doc osmo-remsim-server osmo-remsim-server-dbgsym osmo-sgsn osmo-sgsn-dbg osmo-sgsn-doc osmo-sip-connector osmo-sip-connector-dbg osmo-sip-connector-doc osmo-smlc osmo-smlc-dbg osmo-smlc-doc osmo-stp osmo-stp-dbg osmo-stp-doc osmo-sysmon osmo-sysmon-dbg osmo-trx osmo-trx-dbg osmo-trx-doc osmo-trx-ipc osmo-trx-lms osmo-trx-uhd osmo-trx-usrp1 osmo-uecups osmo-uecups-dbgsym osmocom-nightly python3-osmopy-libs python3-osmopy-utils rtl-sdr rtl-sdr-dbgsym simtrace2-firmware simtrace2-utils simtrace2-utils-dbgsym

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

Reading package lists...
Building dependency tree...
Reading state information...
libosmocodec0 is already the newest version (1.5.1.134.0504.202106070822).
libosmocodec0 set to manually installed.
libosmocoding0 is already the newest version (1.5.1.134.0504.202106070822).
libosmocoding0 set to manually installed.
libosmocore is already the newest version (1.5.1.134.0504.202106070822).
libosmocore17 is already the newest version (1.5.1.134.0504.202106070822).
libosmocore17 set to manually installed.
libosmoctrl0 is already the newest version (1.5.1.134.0504.202106070822).
libosmoctrl0 set to manually installed.
libosmogb12 is already the newest version (1.5.1.134.0504.202106070822).
libosmogb12 set to manually installed.
libosmogsm16 is already the newest version (1.5.1.134.0504.202106070822).
libosmogsm16 set to manually installed.
libosmosim2 is already the newest version (1.5.1.134.0504.202106070822).
libosmosim2 set to manually installed.
libosmousb0 is already the newest version (1.5.1.134.0504.202106070822).
libosmousb0 set to manually installed.
libosmovty9 is already the newest version (1.5.1.134.0504.202106070822).
libosmovty9 set to manually installed.
osmocom-nightly is already the newest version (1.0.0.202106070822).
osmocom-nightly set to manually installed.
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 osmo-sip-connector-doc : Depends: osmocom-nightly (= 1.0.0.202105270026) but 1.0.0.202106070822 is to be installed
 osmo-smlc-doc : Depends: osmocom-nightly (= 1.0.0.202105270026) but 1.0.0.202106070822 is to be installed
E: Unable to correct problems, you have held broken packages.
+ ret=1
+ [ -n  ]
+ docker container kill debian9-repo-install-test-nightly
debian9-repo-install-test-nightly
+ exit 1
Build step 'Execute shell' marked build as failure


More information about the jenkins-notifications mailing list